%define name openarena
%define Summary An open-source content package for Quake III Arena
%define version 0.8.0
%define data_version 0.8.0
%define oversion %(echo %{version} | sed -e 's/\\.//g')
%define q3src ioquake3svn1438
%define q3tar ioquake3svn1438
%define release %mkrel 3

%define gamelibdir %{_libdir}/games/%{name}

Summary: %{Summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://openarena.ws/svn/source/%{oversion}/%{q3tar}.tar.bz2
Source1: http://cheapy.deathmask.net/logo.gif
Patch1: http://nman64.fedorapeople.org/openarena/ioquake3-serverfix.patch
License: GPL/Creative Commons
Group: Games/Arcade
Url: http://openarena.ws/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: GL-devel
BuildRequires: SDL-devel
BuildRequires: openal-devel
BuildRequires: oggvorbis-devel
BuildRequires: %{name}-data = %{data_version}
Requires: %{name}-data = %{data_version}

%description
OpenArena is an open-source content package for Quake III Arena
licensed under the GPL, effectively creating a free stand-alone
game. You do not need Quake III Arena to play this game.

%prep
%setup -q -n %{q3src}
%patch1 -p1

%build
%make

%install
rm -rf %{buildroot}
%make copyfiles COPYDIR=%{buildroot}%{gamelibdir}
# symlink files from noarch package in arch-specific game dir
ln -sf %{_gamesdatadir}/%{name}/baseoa/* %{buildroot}%{gamelibdir}/baseoa

binary=`basename %{buildroot}%{gamelibdir}/openarena.*`

install -d %{buildroot}%{_gamesbindir}
cat > %{buildroot}%{_gamesbindir}/%{name} <<EOF
#!/bin/sh
cd %{gamelibdir}
exec ./$binary \$*
EOF
chmod 755 $RPM_BUILD_ROOT%{_gamesbindir}/%{name}

install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.gif

install -d %{buildroot}%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=OpenArena
Comment=%{Summary}
Exec=soundwrapper %{_gamesbindir}/%{name}
Icon=%{_datadir}/icons/%{name}.gif
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%pretrans
if [ -L %{gamelibdir}/baseoa ]; then
   rm -f %{gamelibdir}/baseoa
fi

%files
%defattr(-,root,root)
%{_gamesbindir}/%{name}
%dir %{gamelibdir}
%{gamelibdir}/missionpack
%{gamelibdir}/oa_ded.*
%{gamelibdir}/openarena.*
%dir %{gamelibdir}/baseoa
%{gamelibdir}/baseoa/*.pk3
%{_datadir}/icons/%{name}.gif
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Sun Aug 31 2008 Funda Wang <fundawang@mandriva.org> 0.8.0-3mdv2009.0
+ Revision: 277909
- add upstream fix for server hosting

* Sat Aug 30 2008 Funda Wang <fundawang@mandriva.org> 0.8.0-2mdv2009.0
+ Revision: 277575
- rebuild against new data package
- fix binary name

* Mon Aug 25 2008 Funda Wang <fundawang@mandriva.org> 0.8.0-1mdv2009.0
+ Revision: 275746
- New version 0.8.0

* Mon Aug 04 2008 Funda Wang <fundawang@mandriva.org> 0.7.7-4mdv2009.0
+ Revision: 263057
- bump version of data pacakage

* Tue Jun 03 2008 Olivier Blin <oblin@mandriva.com> 0.7.7-3mdv2009.0
+ Revision: 214681
- run update/clean menus

* Thu May 29 2008 Olivier Blin <oblin@mandriva.com> 0.7.7-2mdv2009.0
+ Revision: 212923
- 0.7.7

* Wed Apr 23 2008 Olivier Blin <oblin@mandriva.com> 0.7.6-2mdv2009.0
+ Revision: 196719
- package pk3 symlinks
- explicitely require data package with the same version binary version has been built with
- symlink files from noarch package in arch-specific game dir
- buildrequire data package

* Tue Apr 22 2008 Olivier Blin <oblin@mandriva.com> 0.7.6-1mdv2009.0
+ Revision: 196656
- explicitely list subdirs in lib
- do not use a symlink anymore for baseoa directory
  (it now contains the binary files, can't point to /usr/share)
- remove builtin include file
- 0.7.6

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7.0-3mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 0.7.0-3mdv2008.0
+ Revision: 52357
- convert baseoa directory as symlink before installation (#31885)

* Fri Jul 13 2007 Olivier Blin <oblin@mandriva.com> 0.7.0-2mdv2008.0
+ Revision: 51693
- buildrequire oggvorbis-devel
- require openarena-data and symlink data files in libdir
- fix build by copying ui/menudef.h from upstream SVN
- 0.7.0 (source tarball does not contain data files anymore)


* Wed Jan 03 2007 Olivier Blin <oblin@mandriva.com> 0.6.0-2mdv2007.0
+ Revision: 103935
- fix wrapper script (thanks misc for spotting that)

* Mon Dec 04 2006 Olivier Blin <oblin@mandriva.com> 0.6.0-1mdv2007.1
+ Revision: 90544
- buildrequire GL-devel
- initial OpenArena release
- Create openarena

